#ifndef	__Set_Disp_h__
#define	__Set_Disp_h__

volatile unsigned char LEDCON0 @0x190;
volatile unsigned char LEDCON1 @0x191;
volatile unsigned char LEDADD  @0x192;
volatile unsigned char LEDDATA @0x193;
volatile unsigned char SEGEN2  @0x194;
volatile unsigned char SEGEN1  @0x195;
volatile unsigned char SEGEN0  @0x196;
volatile unsigned char COMEN   @0x197;

//变量定义
volatile unsigned char display[5];
#define  smg_data4     display[1]
#define  smg_data3     display[2]  //数码管显示
#define  smg_data2     display[3]
#define  smg_data1     display[4]

#define  ON_LCD_ONE    BSET(smg_data1,0)  //LCD-1图标
#define  ON_LCD_MH     BSET(smg_data2,0)  //LCD-冒号图标
#define  ON_LCD_TWO    BSET(smg_data3,0)  //LCD-2图标
#define  ON_LCD_HEAT   BSET(smg_data4,0)  //LCD-加热图标


#define    P_SEG1    RB1
#define    P_SEG2    RB2
#define    P_SEG3    RB3
#define    P_SEG4    RB4
#define    P_SEG5    RB5
#define    P_SEG6    RA5
#define    P_SEG7    RA4
#define    P_SEG8    RA3

#define    P_COM1    RC0
#define    P_COM2    RC1
#define    P_COM3    RC2
#define    P_COM4    RC3




//LCD数码管显示表格：afbgce_d
const unsigned char LCDCode[]=
{
	0xDE,		// 0
	0x14,		// 1
	0x7A,		// 2
	0x76,		// 3
	0xB4,		// 4
	0xE6,		// 5
	0xEE,		// 6
	0x54,		// 7
	0xFE,		// 8
	0xF6,		// 9
	0xFC,		// A
	0xAE,		// B
	0xCA,		// C
	0x3E,		// D
	0xEA,		// E
	0xE8		// F
};




//函数定义
void Set_Disp_Lcd();
void Set_Disp_Led();
void Disp_Lcd();	//LCD 显示 
void Disp_Led();	//Led 显示 

void Lcd_disp_time();	//设置显示时间数据
void Lcd_disp_temper();  //设置显示温度数据

void Led_disp_time();	//设置显示时间数据
void Led_disp_temper();  //设置显示温度数据
#endif